package com.qgs.dc.influx.template;

import com.influxdb.annotations.Column;
import com.influxdb.annotations.Measurement;

import java.time.Instant;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2022/6/22 15:52
 */
//Temperature.java
@Measurement(name = "temperature")
public class Temperature {

    @Column(tag = true)
    public String location;

    @Column
    public Double value;

    @Column
    public String type;

    @Column(timestamp = true)
    public Instant time;
}
